summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Sherwood <paul.sherwood@codethink.co.uk>2013-12-09 23:03:25 +0000
committerPaul Sherwood <paul.sherwood@codethink.co.uk>2013-12-09 23:03:25 +0000
commit7d8154ce5f452c3a27046a3ea9363038318abb70 (patch)
tree7cf3196255c8cc2a86b4130cc2eceda5688e0ee9
parent3d21d585636c5c51c4d34590f2e4a61d4f23af3b (diff)
downloadmorphs-ps/merger.tar.gz
dont process baserock files, and go straight to latest tagps/merger
-rwxr-xr-xall-update.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/all-update.sh b/all-update.sh
index caeb39b..ec28f29 100755
--- a/all-update.sh
+++ b/all-update.sh
@@ -15,7 +15,7 @@
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-set -e
+# set -e
usage() {
echo "Usage: all-update your-system"
@@ -49,12 +49,12 @@ done
repos=`for stratum in $strata; do
grep "repo.*: *" "$stratum.morph" | cut -d: -f3-
- done | sort -u`
+ done | grep -v baserock | sort -u`
for repo in $repos; do
echo processing $repo
cd $workspace/*:$repo
- if [ `git tag | wc -l` != "0" ] && [ $repo != 'morphs' ]; then
+ if [ `git tag | wc -l` != "0" ]; then
echo `git tag | wc -l` tags - branch `git rev-parse --abbrev-ref HEAD`
startpoint=`git rev-parse HEAD`
branch=`git rev-parse --abbrev-ref HEAD`
@@ -62,12 +62,12 @@ for repo in $repos; do
echo "startpoint is $startpoint, branchpoint is $branchpoint"
tag=`git describe --tags $(git rev-list --tags --max-count=1)`
echo "merging $tag in $repo"
- git reset --hard $branchpoint
- foo=`git merge --no-verify-signatures $tag 2>&1`
- for commit in `git cherry origin/master $branch | sed 's/+ //`
+ git reset --hard $tag
+# foo=`git merge --no-verify-signatures $tag 2>&1`
+ for commit in `git cherry origin/master $branch | sed 's/+ //'`
do
echo "git cherry-pick $commit"
- "git cherry-pick $commit"
+ git cherry-pick $commit
done
else
echo "no tag found in $repo"